Changeset 2235

Show
Ignore:
Timestamp:
28-05-12 14:51:26 (23 months ago)
Author:
business@…
Message:

declare plugin dependencies in BuildConfig? instead of application.properties

Location:
trunk
Files:
2 modified

Legend:

Unmodified
Added
Removed
  • trunk/application.properties

    r2228 r2235  
    99app.servlet.version=2.4 
    1010app.version=0.8.6 
    11 plugins.ajaxflow=0.2.1 
    12 plugins.crypto=2.0 
    13 plugins.famfamfam=1.0.1 
    14 plugins.gdt=0.2.1 
    15 plugins.gdtimporter=0.4.6.7 
    16 plugins.grails-melody=1.11 
    17 plugins.grom=0.2.3 
    18 plugins.hibernate=1.3.7 
    19 plugins.jquery=1.7.1 
    20 plugins.jumpbar=0.1.5 
    21 plugins.mail=1.0-SNAPSHOT 
    22 plugins.spring-security-core=1.1.3 
    23 plugins.tomcat=1.3.7.2 
    24 plugins.trackr=0.6.4 
    25 plugins.webflow=1.3.7 
  • trunk/grails-app/conf/BuildConfig.groovy

    r2177 r2235  
    5959//              https://maven.nuxeo.org/nexus/content/repositories/public/org/jrobin/jrobin/1.5.9/jrobin-1.5.9.jar 
    6060    } 
     61        plugins { 
     62                compile(":hibernate:$grailsVersion") 
     63                compile ':tomcat:1.3.7.2' 
     64                compile ':jquery:1.7.1' 
     65                compile ':grom:0.2.3' 
     66                compile ':ajaxflow:0.2.1' 
     67                compile ':crypto:2.0' 
     68                compile ':spring-security-core:1.1.2' 
     69                compile(':gdt:0.2.1') { 
     70                        // disable plugin dependency transition because it's horribly broken 
     71                        // note: this assumes that ajaxflow, jquery and cryto stay included 
     72                        transitive = false 
     73                } 
     74 
     75                compile(':gdtimporter:0.4.6.7') { 
     76                // see comment above on gdt, gdtimporter also requires spring security core (and shouldn't really be a pluginÉ)  
     77                transitive = false 
     78                } 
     79                compile ':famfamfam:1.0.1' 
     80                compile ':jumpbar:0.1.5' 
     81                compile ':mail:1.0-SNAPSHOT' 
     82 
     83                compile ':trackr:0.6.4' 
     84                compile ':webflow:1.3.7' 
     85 
     86                runtime ':grails-melody:1.11' 
     87 
     88 
     89        } 
    6190} 
    6291